import s from "./Header.module.sass";

import PropTypes from "prop-types";
import { useSelector } from "react-redux";
import { NavLink, Link } from "react-router-dom";

function Header() {
  const favouriteProductsNumber = useSelector(
    (store) => store.favourites.data.length
  );
  const addedToCardNumber = useSelector((store) => store.cart.data.length);

  return (
    <header className={s.header}>
      <Link to="/">
        <div className={s.logo}>
          <svg
            width="93"
            height="45"
            viewBox="0 0 93 45"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              d="M3.8923 27.3907C4.15842 27.3408 4.45781 27.3076 4.79046 27.3076C4.84036 25.5611 5.83831 22.6671 6.9028 19.6732C5.90484 19.5235 5.05658 19.5235 4.54097 19.8728C4.17505 18.4257 5.55556 18.143 7.45168 18.1763C8.433 15.3986 9.38106 12.6875 9.58065 10.8745C8.00055 10.7747 6.60341 10.9411 5.72189 11.939C5.43913 12.2384 4.67403 8.46282 8.13361 7.83078C10.9445 7.31517 16.9323 9.61047 18.8117 6.96588C19.0945 6.58333 19.3274 10.0429 17.4479 10.9743C16.2503 11.5565 14.6702 11.49 13.0236 11.2904C12.7907 12.8871 11.9258 15.5317 11.0277 18.4091C12.9903 18.5422 14.7201 18.5255 15.086 17.5941C15.6682 21.0703 13.1899 20.9539 10.4289 20.3884C9.66381 22.9498 8.94861 25.5445 8.68249 27.6568C11.0942 27.9396 13.5059 28.0394 14.5704 26.5258C14.8532 26.1433 15.086 29.6029 13.2066 30.5177C9.9133 32.1476 3.8424 28.8211 1.48057 31.4823C1.19782 31.7817 0.432716 28.0061 3.8923 27.3907ZM17.9136 17.1617C17.897 17.0951 21.5894 16.7625 21.5229 18.8915C21.473 20.2553 18.2795 27.241 18.9448 29.4864C20.5748 27.4074 24.9159 17.1617 24.9159 17.1617C24.8993 17.0951 28.5917 16.7625 28.5086 18.8915C28.4587 20.272 25.6644 25.8439 25.9471 29.5862C27.2278 28.239 28.7747 24.5299 29.0574 23.8313C29.0907 23.7648 29.1572 23.7316 29.2238 23.7316C29.3568 23.7316 29.44 23.848 29.4067 23.9644C29.0075 25.1952 27.3443 30.2682 26.4794 30.7838C25.4814 31.3992 22.7703 30.368 22.5208 29.2369C22.0385 27.1412 24.0677 22.1515 24.7496 19.141C23.419 22.6172 20.3419 30.4179 19.2775 30.8836C18.2961 31.2994 15.6349 30.4511 15.4187 29.1205C15.0195 26.7088 18.4292 19.0911 17.9136 17.1617ZM25.3151 38.9171C24.6332 34.7257 30.9868 20.6213 30.3215 17.1284C30.3049 17.0619 34.147 17.1284 33.9142 19.2407C33.6979 21.2533 30.8371 29.187 29.4899 35.0916C31.9016 26.1433 36.5421 17.6773 37.2573 17.2615C37.906 16.8789 39.9019 17.4444 40.7169 18.8748C41.8146 20.8042 39.4861 30.1185 35.6273 30.9002C34.7624 31.0832 32.7166 29.8025 32.3008 29.2868C30.8704 32.9626 29.5398 37.0709 28.9077 40.8631C28.8246 41.2623 25.5978 40.6469 25.3151 38.9171ZM37.6066 18.3093C37.3904 18.2262 34.8289 22.8667 32.4837 28.8045C35.5608 30.5343 38.3883 18.6253 37.6066 18.3093ZM40.3842 28.9875C39.7023 24.7794 46.1391 10.1926 45.7067 7.08231C45.69 7.01578 49.2162 7.19874 48.9833 9.31108C48.7504 11.49 45.374 20.6712 44.243 26.6589C45.8564 22.6671 48.6673 16.9621 50.2806 17.1118C51.2121 17.1949 53.0915 18.0765 53.2579 18.642C53.7236 20.2054 50.4636 27.3408 50.3971 29.7027C51.6944 28.4552 53.3244 24.5465 53.6072 23.8313C53.6404 23.7648 53.707 23.7316 53.7735 23.7316C53.9065 23.7316 53.9897 23.848 53.9564 23.9644C53.5573 25.1952 51.7277 30.8337 50.9958 30.9335C49.5488 31.1331 47.1038 30.0852 46.9042 28.7712C46.6547 26.9915 49.4989 21.22 49.7817 18.4257C48.95 18.2927 43.9436 28.3055 43.9769 30.8836C44.0767 31.3493 40.6836 30.7505 40.3842 28.9875ZM53.4076 28.7546C52.4262 25.977 54.655 19.0245 57.1665 17.4112C58.0314 16.8457 60.3766 16.9953 61.1251 17.4943C61.7738 17.9101 61.358 18.3093 61.358 18.3093C58.6468 17.0452 55.4534 28.8211 56.7008 29.9688C58.1479 31.2994 61.5908 20.405 59.5117 19.9726C59.5117 19.9726 60.4764 18.6087 61.3081 18.7085C64.1855 19.0911 62.0066 28.871 57.9815 30.7671C56.8838 31.2828 54.2725 31.183 53.4076 28.7546ZM62.1231 29.1538C61.6906 26.5092 64.9672 19.0578 64.435 17.1284C64.4184 17.0619 68.3104 16.7625 68.2439 18.8915C68.194 20.089 66.0816 24.4468 65.7157 28.0228C66.9798 24.0975 69.8739 16.9454 71.6702 17.1118C72.6016 17.1949 74.2316 17.96 74.3979 18.5089C74.6141 19.2407 72.3854 22.7336 72.9841 24.8958C68.0276 24.6796 71.2377 19.0744 71.1712 18.4257C70.3396 18.2927 65.882 28.2057 65.8987 30.8004C65.9153 30.9002 65.7989 30.9667 65.7157 30.9501C65.0005 30.8669 62.3393 30.4844 62.1231 29.1538ZM79.3544 16.8623C74.5975 16.2302 77.6246 13.5524 77.4251 11.7893C82.5812 12.621 78.9386 14.4007 79.3544 16.8623ZM72.9675 29.1538C72.5018 26.609 75.9281 19.0578 75.4125 17.1284C75.3959 17.0619 79.2546 16.7625 79.1881 18.8915C79.1382 20.272 76.3772 25.7607 76.6101 29.5031C77.8741 28.0893 79.3711 24.5133 79.6538 23.8313C79.6705 23.7648 79.737 23.7316 79.8201 23.7316C79.9366 23.7316 80.0197 23.848 79.9865 23.9644C79.6039 25.1952 77.791 30.5177 76.9926 30.9002C76.1776 31.2661 73.1837 30.4012 72.9675 29.1538ZM82.9138 30.8836C82.315 31.2994 79.6206 30.5676 79.0052 29.4532C78.2068 28.0228 80.2027 20.7709 82.0323 18.4257C83.4627 16.6128 86.5564 17.0619 87.2882 17.4943C87.4712 17.5941 87.5377 17.6939 87.4379 17.9767C87.3215 18.2927 87.0886 18.2262 86.7227 18.1264C84.8598 17.644 82.0656 27.8564 82.2485 29.9355L88.1864 17.2947C88.3859 16.7459 91.9121 17.6606 91.5794 18.3592C91.2468 19.0578 88.8184 27.3408 88.7519 29.7027C90.0492 28.4552 91.6958 24.5465 91.9786 23.8313C92.0119 23.7648 92.0784 23.7316 92.1449 23.7316C92.2613 23.7316 92.3611 23.848 92.3112 23.9644C91.9287 25.1952 90.0991 30.8337 89.3673 30.9335C87.9036 31.1331 85.4586 30.0852 85.2756 28.7712C85.1093 27.6568 86.0241 24.2139 86.8724 21.3864C85.4087 25.1786 83.2465 30.6507 82.9138 30.8836Z"
              fill="#3C4242"
            />
            <path
              d="M1 33.6259H23.4033"
              stroke="#333333"
              strokeWidth="0.420324"
              strokeMiterlimit="10"
              strokeLinecap="round"
              strokeLinejoin="round"
            />
            <path
              d="M32.9856 33.6259H92.036"
              stroke="#3C4242"
              strokeWidth="0.420324"
              strokeMiterlimit="10"
              strokeLinecap="round"
              strokeLinejoin="round"
            />
            <path
              d="M40.9505 41.2617C40.7869 41.2617 40.5979 41.1972 40.3821 41.0689C40.167 40.9398 39.9381 40.7693 39.6969 40.5565C39.4557 40.3438 39.2183 40.1126 38.9841 39.8621C38.7506 39.6125 38.5347 39.3636 38.3381 39.1155C38.1414 38.8682 37.9763 38.6477 37.8426 38.4549L36.7626 40.7862C36.7104 40.8999 36.629 40.9805 36.5176 41.0274C36.4062 41.0743 36.2856 41.1027 36.1558 41.1127C36.026 41.1227 35.8977 41.1273 35.7717 41.1273C35.8677 40.989 35.9668 40.83 36.0667 40.6518C36.1673 40.4736 36.2856 40.2585 36.4231 40.0058C36.5606 39.7531 36.7219 39.4466 36.9078 39.0848C37.0937 38.7238 37.3141 38.2913 37.5707 37.789C37.8265 37.2866 38.1291 36.6967 38.4786 36.0184C38.5009 35.9785 38.5309 35.9232 38.5677 35.8517C38.6046 35.7803 38.6238 35.7142 38.6238 35.6551C38.6238 35.6005 38.6054 35.5575 38.5677 35.5253C38.5309 35.493 38.4602 35.4769 38.3565 35.4769C38.1783 35.4769 38.0055 35.5253 37.8388 35.6213C37.6721 35.7173 37.5231 35.8402 37.3933 35.9892C37.2634 36.1375 37.1613 36.2911 37.0868 36.4493C37.0123 36.6076 36.9754 36.7489 36.9754 36.8726C36.9754 36.967 36.9938 37.0508 37.0307 37.1253C36.7857 37.1253 36.6128 37.0846 36.513 37.0032C36.4124 36.9217 36.3624 36.8211 36.3624 36.702C36.3624 36.5338 36.4362 36.3656 36.5852 36.1974C36.7334 36.0292 36.9247 35.874 37.159 35.7334C37.3933 35.5921 37.6383 35.4799 37.8941 35.3954C38.1499 35.3117 38.3819 35.2695 38.59 35.2695C38.7905 35.2695 38.9257 35.3063 38.9964 35.3809C39.067 35.4554 39.1024 35.5368 39.1024 35.6259C39.1024 35.6804 39.0931 35.735 39.0747 35.7895C39.0563 35.844 39.0355 35.8963 39.0133 35.9454L38.0777 37.9649C38.1814 37.8658 38.3173 37.7744 38.484 37.6899C38.6507 37.6061 38.835 37.5094 39.0355 37.4003C39.3697 37.2221 39.7276 37.0139 40.1102 36.7766C40.4927 36.5392 40.8583 36.2888 41.207 36.0268C41.5558 35.7641 41.8454 35.5122 42.0758 35.2695C42.1127 35.2994 42.1388 35.3509 42.1542 35.4254C42.1688 35.4999 42.1764 35.5568 42.1764 35.5959C42.1764 35.7496 42.082 35.9178 41.8922 36.1006C41.7025 36.2834 41.4559 36.4731 41.1517 36.6682C40.8476 36.8641 40.5134 37.0569 40.1493 37.2474C39.7852 37.4379 39.4273 37.6177 39.0747 37.7859C38.7221 37.9541 38.4041 38.1 38.1222 38.2237C38.345 38.4764 38.5624 38.7161 38.7736 38.9442C38.9848 39.1716 39.2153 39.3944 39.4642 39.6125C39.713 39.8307 40.0041 40.0534 40.3383 40.2808C40.6724 40.5081 41.0772 40.7532 41.5519 41.0159C41.4997 41.0804 41.4183 41.1372 41.3069 41.1864C41.1955 41.2371 41.0765 41.2617 40.9505 41.2617Z"
              fill="#3C4242"
            />
            <path
              d="M46.9091 40.9796C46.4559 40.9796 46.1203 40.8882 45.9013 40.7046C45.6824 40.5218 45.5726 40.3013 45.5726 40.044C45.253 40.3259 44.8859 40.5464 44.4703 40.7046C44.0547 40.8628 43.6346 40.9419 43.2121 40.9419C42.7589 40.9419 42.4194 40.859 42.1928 40.6931C41.9662 40.5272 41.8533 40.3228 41.8533 40.0809C41.8533 39.8581 41.937 39.6231 42.1037 39.3757C42.2711 39.1284 42.4939 38.8956 42.772 38.6775C43.05 38.4601 43.3565 38.2827 43.6907 38.1467C44.0248 38.0107 44.3551 37.9424 44.6823 37.9424C44.8528 37.9424 45.0111 37.9723 45.1555 38.0315C45.3007 38.0906 45.3729 38.212 45.3729 38.3956C45.3729 38.5838 45.2891 38.7604 45.1225 38.9264C44.9558 39.0923 44.7361 39.2398 44.4657 39.368C44.1945 39.4971 43.8973 39.6016 43.5747 39.6837C43.252 39.7659 42.9302 39.8159 42.6114 39.8358C42.5968 39.8858 42.5853 39.9326 42.5776 39.9772C42.5699 40.0217 42.5661 40.064 42.5661 40.1031C42.5661 40.2022 42.5922 40.2998 42.6445 40.3966C42.6959 40.4934 42.785 40.5725 42.9118 40.6339C43.0377 40.6961 43.2159 40.7269 43.4464 40.7269C43.8397 40.7269 44.2299 40.6339 44.6163 40.4488C45.0019 40.2629 45.3398 40.034 45.6294 39.7621C45.6962 39.5593 45.8153 39.3565 45.9858 39.153C46.1564 38.9502 46.363 38.7658 46.6042 38.5999C46.8454 38.434 47.1073 38.3003 47.3892 38.1989C47.6711 38.0975 47.9576 38.0468 48.2472 38.0468C48.4178 38.0468 48.576 38.0768 48.7204 38.136C48.8648 38.1951 48.9378 38.3165 48.9378 38.5C48.9378 38.7528 48.8095 38.974 48.5537 39.1645C48.2979 39.355 47.9692 39.5071 47.5682 39.6215C47.1672 39.7352 46.7555 39.8074 46.3323 39.8366C46.3177 39.8865 46.3061 39.9334 46.2985 39.9779C46.2908 40.0225 46.2869 40.0647 46.2869 40.1039C46.2869 40.203 46.3108 40.3044 46.3591 40.4081C46.4075 40.5118 46.4928 40.5971 46.6149 40.6639C46.7378 40.7307 46.9137 40.7637 47.1442 40.7637C47.4637 40.7637 47.7825 40.7008 48.102 40.5748C48.4216 40.4488 48.7181 40.2829 48.9931 40.077C49.2681 39.8719 49.4978 39.6499 49.6836 39.4126L49.8173 39.4794C49.6168 39.7767 49.3587 40.0379 49.043 40.2629C48.7273 40.488 48.3863 40.6639 48.0183 40.7899C47.6496 40.9166 47.2801 40.9796 46.9091 40.9796ZM42.666 39.6945C42.8664 39.6499 43.093 39.5847 43.345 39.4979C43.5977 39.4111 43.8404 39.3089 44.0747 39.1898C44.309 39.0708 44.5018 38.9402 44.6539 38.7965C44.806 38.6529 44.882 38.5024 44.882 38.3434C44.882 38.2888 44.8674 38.2466 44.8375 38.2174C44.8075 38.1874 44.7445 38.1728 44.6485 38.1728C44.4703 38.1728 44.2806 38.2189 44.0801 38.3103C43.8796 38.4017 43.6868 38.5216 43.5009 38.6706C43.315 38.8188 43.1483 38.9824 42.9993 39.1606C42.8511 39.3381 42.7397 39.5163 42.666 39.6945ZM46.386 39.6945C46.5865 39.6499 46.8054 39.5908 47.0436 39.5163C47.2809 39.4418 47.5075 39.3542 47.7234 39.2528C47.9384 39.1514 48.1166 39.0354 48.258 38.9041C48.3985 38.7727 48.4692 38.6283 48.4692 38.4701C48.4692 38.4156 48.4508 38.3695 48.4131 38.3326C48.3763 38.2957 48.3094 38.2773 48.2127 38.2773C47.9753 38.2773 47.7356 38.3464 47.4945 38.4855C47.2533 38.6237 47.0343 38.8012 46.8369 39.0162C46.6403 39.2305 46.4897 39.4571 46.386 39.6945Z"
              fill="#3C4242"
            />
            <path
              d="M48.7478 42.6948C48.6886 42.6948 48.631 42.6741 48.5749 42.6319C48.5189 42.5896 48.4766 42.5451 48.4466 42.4982C48.4167 42.4513 48.4021 42.4229 48.4021 42.4129C48.5058 42.1702 48.608 41.9536 48.7086 41.7631C48.8092 41.5726 48.9091 41.3767 49.0097 41.1762C49.1095 40.9758 49.2086 40.7407 49.3047 40.4711C49.4014 40.2015 49.5013 39.8658 49.6058 39.4648C49.7095 39.0639 49.8139 38.5661 49.9176 37.9724C49.9253 37.9278 49.9399 37.8955 49.9622 37.8756C49.9845 37.8556 50.0398 37.8456 50.1289 37.8456C50.3217 37.8456 50.4592 37.8817 50.5414 37.9532C50.6228 38.0246 50.6635 38.1029 50.6635 38.1867C50.6635 38.2558 50.6412 38.3795 50.5967 38.5577C50.5521 38.7359 50.4891 38.9463 50.4077 39.1891C50.5337 39.0255 50.6919 38.8596 50.8809 38.6913C51.0698 38.5231 51.2872 38.3818 51.5322 38.2681C51.7773 38.1544 52.0446 38.0976 52.3342 38.0976C52.6606 38.0976 52.9302 38.1759 53.1415 38.3311C53.3527 38.487 53.4587 38.6913 53.4587 38.944C53.4587 39.1368 53.3934 39.3412 53.2636 39.5562C53.1338 39.7713 52.9518 39.9749 52.7182 40.1654C52.4847 40.3559 52.2074 40.511 51.8887 40.6293C51.5691 40.7484 51.2165 40.8075 50.8309 40.8075C50.6374 40.8075 50.4822 40.7929 50.3631 40.763C50.2441 40.733 50.1849 40.7038 50.1849 40.6739C50.1849 40.6539 50.2126 40.6432 50.2687 40.6401C50.3247 40.6378 50.3893 40.6362 50.4638 40.6362C50.761 40.6362 51.0445 40.5879 51.3156 40.4911C51.5868 40.3943 51.8295 40.2668 52.0454 40.1085C52.2604 39.9503 52.4294 39.7744 52.5523 39.5816C52.6745 39.3888 52.7359 39.1983 52.7359 39.0101C52.7359 38.8519 52.686 38.7167 52.5854 38.6053C52.4855 38.4939 52.3234 38.4386 52.1007 38.4386C51.9079 38.4386 51.7166 38.4793 51.5269 38.5607C51.3371 38.6422 51.1589 38.7466 50.9922 38.8726C50.8248 38.9986 50.6765 39.1299 50.5467 39.2659C50.4169 39.4019 50.3186 39.5248 50.2518 39.6331C50.1181 40.0041 49.9845 40.362 49.8508 40.7061C49.7171 41.0503 49.5889 41.3621 49.4667 41.6417C49.3438 41.9213 49.2332 42.1502 49.1326 42.3284C49.0327 42.5067 48.949 42.6157 48.8822 42.6549C48.8438 42.6826 48.7992 42.6948 48.7478 42.6948Z"
              fill="#3C4242"
            />
            <path
              d="M57.502 40.8083C57.2124 40.8083 56.9966 40.7476 56.856 40.6263C56.7147 40.5049 56.6448 40.3574 56.6448 40.1846C56.6448 40.0709 56.6763 39.9273 56.7393 39.7537C56.8022 39.5808 56.886 39.3988 56.9897 39.2083C57.0934 39.0178 57.214 38.838 57.3515 38.6698C57.489 38.5016 57.6357 38.3641 57.7916 38.2573C57.9475 38.1513 58.0996 38.0976 58.2486 38.0976C58.3155 38.0976 58.3731 38.1114 58.4215 38.1383C58.4699 38.1652 58.4937 38.2066 58.4937 38.2604C58.4937 38.3196 58.4361 38.4163 58.3208 38.55C58.2056 38.6836 58.0704 38.8373 57.9145 39.0101C57.7586 39.1837 57.6234 39.365 57.5082 39.5555C57.3929 39.746 57.3353 39.928 57.3353 40.1016C57.3353 40.2798 57.3799 40.3989 57.469 40.458C57.5581 40.5172 57.6956 40.5471 57.8815 40.5471C58.1342 40.5471 58.403 40.4634 58.6888 40.2944C58.9745 40.1262 59.2772 39.832 59.5967 39.4111L59.6966 39.4856C59.4815 39.9111 59.1712 40.2383 58.7664 40.4657C58.3608 40.6946 57.9398 40.8083 57.502 40.8083ZM58.8378 37.4078C58.7187 37.4078 58.6135 37.3878 58.5206 37.3486C58.4276 37.3087 58.3815 37.2472 58.3815 37.1627C58.3815 37.059 58.4722 36.9684 58.6542 36.8916C58.8363 36.8148 59.016 36.7764 59.1942 36.7764C59.3056 36.7764 59.3947 36.794 59.4615 36.8286C59.5284 36.8632 59.5614 36.9231 59.5614 37.0068C59.5614 37.1005 59.4853 37.1912 59.3332 37.278C59.1819 37.3648 59.0168 37.4078 58.8378 37.4078Z"
              fill="#3C4242"
            />
            <path
              d="M60.33 40.9573C60.0105 40.9573 59.7654 40.8951 59.5949 40.7714C59.4244 40.6478 59.3391 40.4649 59.3391 40.2222C59.3391 40.0048 59.4006 39.736 59.5227 39.4164C59.6448 39.0969 59.7992 38.7697 59.9851 38.4325C59.9106 38.4225 59.8407 38.414 59.7739 38.4063C59.7071 38.3987 59.6441 38.3879 59.5849 38.3733V38.2396C59.6441 38.2443 59.7147 38.2496 59.7962 38.2542C59.8776 38.2589 59.9705 38.2642 60.0742 38.2688C60.2301 38.0015 60.3976 37.7427 60.575 37.493C60.7532 37.2434 60.9299 37.0206 61.1043 36.8247C61.2787 36.6296 61.4461 36.4729 61.6059 36.357C61.7656 36.241 61.9008 36.1826 62.0122 36.1826C62.0714 36.1826 62.1251 36.1964 62.1735 36.2233C62.2219 36.2502 62.2457 36.2917 62.2457 36.3454C62.2457 36.4299 62.1682 36.5667 62.0122 36.7579C61.8563 36.9484 61.6635 37.175 61.433 37.4369C61.2026 37.6996 60.9798 37.9839 60.7648 38.2911C60.8316 38.2911 60.9 38.2911 60.9706 38.2911C61.0413 38.2911 61.1097 38.2911 61.1765 38.2911C61.4215 38.2911 61.6796 38.2888 61.9508 38.2834C62.2219 38.2788 62.4946 38.2658 62.7696 38.2466V38.3802C62.361 38.4102 61.9953 38.4325 61.6727 38.447C61.3501 38.4616 61.062 38.4693 60.8093 38.4693C60.7794 38.4693 60.7517 38.4693 60.7256 38.4693C60.6995 38.4693 60.6718 38.4693 60.6419 38.4693C60.4713 38.732 60.3262 39.0016 60.2079 39.2789C60.0888 39.5562 60.0297 39.8258 60.0297 40.0885C60.0297 40.3013 60.0781 40.4534 60.1741 40.5448C60.2701 40.6362 60.4299 40.6823 60.6534 40.6823C61.0398 40.6823 61.4185 40.5686 61.7895 40.3405C62.1605 40.1131 62.4869 39.8036 62.7696 39.4126L62.914 39.4871C62.7358 39.7644 62.5107 40.014 62.2404 40.2368C61.9692 40.4596 61.6704 40.6355 61.3439 40.7637C61.0167 40.8928 60.6795 40.9573 60.33 40.9573Z"
              fill="#3C4242"
            />
            <path
              d="M66.6454 41.0311C66.289 41.0311 65.9917 40.952 65.7544 40.7937C65.517 40.6355 65.3979 40.3981 65.3979 40.0809C65.3979 39.8336 65.4702 39.5924 65.6153 39.3565C65.7597 39.1215 65.951 38.9103 66.1891 38.7221C66.4265 38.5339 66.69 38.3841 66.9795 38.2727C67.2691 38.1613 67.5549 38.106 67.8375 38.106C68.1417 38.106 68.3499 38.1652 68.4613 38.2842C68.5727 38.4033 68.628 38.527 68.628 38.6552C68.628 38.7989 68.578 38.9249 68.4774 39.0339C68.3775 39.143 68.2416 39.1975 68.0711 39.1975C67.9451 39.1975 67.8375 39.1607 67.7477 39.0862C67.8591 39.047 67.9558 38.9663 68.0373 38.845C68.1187 38.7236 68.1602 38.6084 68.1602 38.4993C68.1602 38.4402 68.1433 38.3941 68.1102 38.3618C68.0764 38.3295 68.0119 38.3134 67.9151 38.3134C67.7146 38.3134 67.5088 38.3726 67.2968 38.4916C67.0855 38.6107 66.8881 38.7635 66.7069 38.9517C66.5248 39.1399 66.3766 39.3381 66.2613 39.5455C66.1461 39.7537 66.0885 39.9488 66.0885 40.1324C66.0885 40.286 66.1446 40.4266 66.256 40.5556C66.3673 40.6839 66.5824 40.7484 66.902 40.7484C67.1992 40.7484 67.498 40.6939 67.7984 40.5848C68.0987 40.4757 68.3791 40.3198 68.6395 40.117C68.8991 39.9142 69.1073 39.6761 69.2632 39.4042L69.4076 39.4787C69.2371 39.7759 69.0028 40.0417 68.7063 40.2768C68.409 40.5118 68.0826 40.6962 67.7262 40.8298C67.369 40.9642 67.0087 41.0311 66.6454 41.0311Z"
              fill="#3C4242"
            />
            <path
              d="M69.9758 40.8383C69.6562 40.8383 69.4281 40.7653 69.2906 40.6193C69.1531 40.4734 69.0847 40.2914 69.0847 40.074C69.0847 39.8366 69.1515 39.5539 69.2852 39.2275C69.4189 38.901 69.5955 38.5569 69.8144 38.1951C70.0334 37.8341 70.273 37.4815 70.5326 37.1366C70.7923 36.7925 71.0519 36.4799 71.3123 36.1972C71.5719 35.9153 71.8116 35.6895 72.0305 35.5212C72.2494 35.353 72.4223 35.2685 72.5482 35.2685C72.6297 35.2685 72.6965 35.2993 72.7487 35.3615C72.8009 35.4237 72.8417 35.4974 72.8716 35.5842C72.9008 35.671 72.9162 35.7486 72.9162 35.8177C72.9162 35.9514 72.8662 36.1258 72.7656 36.3416C72.6658 36.5567 72.5244 36.7971 72.3424 37.0621C72.1603 37.3271 71.9453 37.5944 71.6964 37.864C71.4475 38.1337 71.1763 38.3925 70.8837 38.6399C70.5903 38.8872 70.2807 39.1 69.9535 39.2782C69.9089 39.4118 69.8736 39.5417 69.8475 39.6684C69.8214 39.7944 69.8083 39.915 69.8083 40.0287C69.8083 40.2215 69.849 40.3651 69.9304 40.4596C70.0119 40.5533 70.1348 40.6009 70.2984 40.6009C70.4989 40.6009 70.6978 40.5418 70.8944 40.4227C71.0911 40.3036 71.277 40.1539 71.4513 39.9733C71.6257 39.7928 71.7763 39.6062 71.9022 39.4126L72.0689 39.4718C71.7717 39.8927 71.449 40.2253 71.0995 40.4703C70.7516 40.7161 70.3767 40.8383 69.9758 40.8383ZM70.0541 39.0262C70.3137 38.8526 70.5664 38.6537 70.8115 38.4286C71.0565 38.2036 71.2847 37.9693 71.4967 37.7273C71.7087 37.4846 71.8961 37.2495 72.0589 37.0222C72.2218 36.7948 72.3485 36.5905 72.4376 36.41C72.5267 36.2295 72.5713 36.0897 72.5713 35.9906C72.5713 35.9414 72.5621 35.9091 72.5436 35.8938C72.5252 35.8792 72.5083 35.8715 72.4937 35.8715C72.4345 35.8715 72.3324 35.9345 72.1872 36.0605C72.0428 36.1864 71.8738 36.3562 71.6802 36.569C71.4874 36.7817 71.2908 37.0245 71.0903 37.2964C70.8898 37.5683 70.6986 37.8533 70.5165 38.1506C70.3337 38.4471 70.1801 38.7397 70.0541 39.0262Z"
              fill="#3C4242"
            />
            <path
              d="M72.2143 40.9643C71.9839 40.9643 71.7888 40.9136 71.6298 40.8122C71.47 40.7108 71.3901 40.5564 71.3901 40.3482C71.3901 40.17 71.4493 39.978 71.5683 39.7729C71.6866 39.5678 71.8503 39.3642 72.0584 39.1637C72.2666 38.9633 72.5024 38.7804 72.7659 38.6145C73.0293 38.4486 73.3074 38.3165 73.6016 38.2174C73.895 38.1183 74.1861 38.0692 74.4757 38.0692C74.7653 38.0692 75.0065 38.1198 75.1993 38.2212C75.3921 38.3226 75.4889 38.4578 75.4889 38.6261C75.4889 38.7497 75.439 38.8342 75.3384 38.8788C75.2377 38.9233 75.1064 38.9456 74.9428 38.9456C74.9574 38.9056 74.9704 38.8626 74.9819 38.8158C74.9935 38.7689 74.9988 38.7259 74.9988 38.686C74.9988 38.5723 74.9581 38.4747 74.8767 38.3925C74.7945 38.3111 74.6539 38.2704 74.4535 38.2704C74.2453 38.2704 74.0341 38.3188 73.8182 38.4148C73.6031 38.5116 73.395 38.6399 73.1945 38.8012C72.994 38.9625 72.8158 39.1369 72.6599 39.3251C72.5039 39.5132 72.3818 39.6991 72.2919 39.8819C72.2028 40.0648 72.1583 40.2284 72.1583 40.372C72.1583 40.5648 72.2581 40.6616 72.4594 40.6616C72.6299 40.6616 72.8158 40.6086 73.0163 40.5018C73.2168 40.3958 73.4226 40.2591 73.6346 40.0932C73.8459 39.9273 74.0487 39.7552 74.2415 39.577C74.4343 39.3988 74.6056 39.2352 74.7538 39.0869C74.783 39.057 74.8022 39.0424 74.8091 39.0424C74.8537 39.047 74.9113 39.057 74.9819 39.0723C75.0526 39.0869 75.1141 39.1069 75.1655 39.1315C75.2178 39.1561 75.2439 39.1883 75.2439 39.2283C75.2439 39.2728 75.2101 39.3335 75.1432 39.4103C75.0764 39.4871 75.0019 39.5747 74.9205 39.6738C74.8383 39.7729 74.7646 39.8735 74.6977 39.9749C74.6309 40.0763 74.5979 40.1715 74.5979 40.2606C74.5979 40.3351 74.6271 40.4081 74.687 40.4796C74.7461 40.5518 74.8429 40.5871 74.9766 40.5871C75.177 40.5871 75.4405 40.4895 75.767 40.2937C76.0934 40.0986 76.4245 39.8051 76.7586 39.4134L76.87 39.4879C76.7141 39.7552 76.5136 39.9903 76.2686 40.193C76.0235 40.3958 75.7616 40.5548 75.4835 40.6685C75.2055 40.7822 74.932 40.839 74.6647 40.839C74.3897 40.839 74.1877 40.7845 74.0579 40.6754C73.9281 40.5664 73.8628 40.4481 73.8628 40.319C73.8628 40.2891 73.8666 40.256 73.8743 40.2192C73.8812 40.1823 73.8889 40.1439 73.8966 40.1039C73.577 40.3912 73.2859 40.6063 73.0224 40.7499C72.7582 40.8928 72.4886 40.9643 72.2143 40.9643Z"
              fill="#3C4242"
            />
            <path
              d="M77.7054 40.9942C77.3566 40.9942 77.0801 40.9435 76.8758 40.8421C76.6715 40.7407 76.5271 40.6155 76.441 40.4673C76.3558 40.319 76.3127 40.17 76.3127 40.0217C76.3127 39.8735 76.3427 39.759 76.4018 39.6799C76.4618 39.6008 76.534 39.5417 76.6192 39.5017C76.7045 39.4618 76.7859 39.4326 76.8643 39.4126C76.9426 39.3926 76.9956 39.3727 77.0256 39.3535C77.2483 39.1899 77.4527 39.0193 77.6385 38.8411C77.8244 38.6629 77.9873 38.4747 78.1286 38.2765V38.1874C78.1286 38.0046 78.1747 37.874 78.2676 37.7972C78.3606 37.7204 78.4589 37.682 78.5626 37.682C78.6218 37.682 78.6663 37.692 78.6963 37.712C78.7262 37.7319 78.7408 37.7542 78.7408 37.7788C78.7408 37.8034 78.7301 37.8433 78.7078 37.8979C78.6855 37.9524 78.674 38.0215 78.674 38.106C78.674 38.2696 78.7224 38.4463 78.8184 38.6368C78.9152 38.8273 79.0112 39.0278 79.108 39.2382C79.204 39.4487 79.2524 39.6676 79.2524 39.895C79.2524 39.9595 79.247 40.0225 79.2355 40.084C79.2247 40.1462 79.2078 40.2038 79.1856 40.2583C79.4452 40.2284 79.6902 40.1508 79.9207 40.0248C80.1511 39.8988 80.3739 39.6968 80.5889 39.4195L80.6888 39.494C80.5475 39.766 80.3362 39.9726 80.0543 40.1139C79.7724 40.2553 79.4636 40.3428 79.1295 40.3774C79.0104 40.5902 78.823 40.7461 78.5672 40.8452C78.3122 40.945 78.0241 40.9942 77.7054 40.9942ZM77.7276 40.7346C77.8168 40.7346 77.9358 40.7146 78.0841 40.6754C78.2323 40.6355 78.3475 40.5341 78.4297 40.3712C78.1179 40.3321 77.8413 40.2499 77.6001 40.1262C77.3589 40.0025 77.1784 39.8789 77.0601 39.7552C76.8965 39.7606 76.8151 39.8466 76.8151 40.0148C76.8151 40.193 76.895 40.3574 77.0548 40.5087C77.213 40.6585 77.4381 40.7346 77.7276 40.7346ZM78.485 40.2514C78.4996 40.2023 78.5111 40.15 78.5181 40.0955C78.5257 40.041 78.5296 39.9764 78.5296 39.9027C78.5296 39.6699 78.4866 39.4387 78.4013 39.2083C78.316 38.9778 78.2438 38.7612 78.1839 38.5585C78.0134 38.7466 77.8329 38.9264 77.6439 39.0969C77.455 39.2674 77.2744 39.4103 77.1039 39.524C77.2153 39.6822 77.3881 39.8312 77.6216 39.9695C77.8559 40.1085 78.1432 40.2023 78.485 40.2514Z"
              fill="#3C4242"
            />
            <path
              d="M81.5472 40.9942C81.1984 40.9942 80.9219 40.9435 80.7176 40.8421C80.5133 40.7407 80.3688 40.6155 80.2828 40.4673C80.1976 40.319 80.1545 40.17 80.1545 40.0217C80.1545 39.8735 80.1845 39.759 80.2436 39.6799C80.3036 39.6008 80.3758 39.5417 80.461 39.5017C80.5463 39.4618 80.6277 39.4326 80.7061 39.4126C80.7844 39.3926 80.8374 39.3727 80.8674 39.3535C81.0901 39.1899 81.2944 39.0193 81.4803 38.8411C81.6662 38.6629 81.8291 38.4747 81.9704 38.2765V38.1874C81.9704 38.0046 82.0165 37.874 82.1094 37.7972C82.2024 37.7204 82.3007 37.682 82.4044 37.682C82.4635 37.682 82.5081 37.692 82.5381 37.712C82.568 37.7319 82.5826 37.7542 82.5826 37.7788C82.5826 37.8034 82.5719 37.8433 82.5496 37.8979C82.5273 37.9524 82.5158 38.0215 82.5158 38.106C82.5158 38.2696 82.5642 38.4463 82.6602 38.6368C82.757 38.8273 82.853 39.0278 82.9498 39.2382C83.0458 39.4487 83.0942 39.6676 83.0942 39.895C83.0942 39.9595 83.0888 40.0225 83.0773 40.084C83.0665 40.1462 83.0496 40.2038 83.0274 40.2583C83.287 40.2284 83.532 40.1508 83.7625 40.0248C83.9929 39.8988 84.2157 39.6968 84.4307 39.4195L84.5306 39.494C84.3893 39.766 84.178 39.9726 83.8961 40.1139C83.6142 40.2553 83.3054 40.3428 82.9713 40.3774C82.8522 40.5902 82.6648 40.7461 82.409 40.8452C82.1548 40.945 81.8667 40.9942 81.5472 40.9942ZM81.5694 40.7346C81.6585 40.7346 81.7776 40.7146 81.9259 40.6754C82.0741 40.6355 82.1893 40.5341 82.2715 40.3712C81.9597 40.3321 81.6831 40.2499 81.4419 40.1262C81.2007 40.0025 81.0202 39.8789 80.9019 39.7552C80.7383 39.7606 80.6569 39.8466 80.6569 40.0148C80.6569 40.193 80.7368 40.3574 80.8966 40.5087C81.0556 40.6585 81.2799 40.7346 81.5694 40.7346ZM82.3268 40.2514C82.3414 40.2023 82.3529 40.15 82.3599 40.0955C82.3675 40.041 82.3714 39.9764 82.3714 39.9027C82.3714 39.6699 82.3284 39.4387 82.2431 39.2083C82.1578 38.9778 82.0856 38.7612 82.0257 38.5585C81.8552 38.7466 81.6747 38.9264 81.4857 39.0969C81.2968 39.2674 81.1162 39.4103 80.9457 39.524C81.0571 39.6822 81.2299 39.8312 81.4634 39.9695C81.6977 40.1085 81.9858 40.2023 82.3268 40.2514Z"
              fill="#3C4242"
            />
            <path
              d="M84.6999 42.6949C84.514 42.6949 84.3511 42.6618 84.2098 42.595C84.0685 42.5282 83.9978 42.4306 83.9978 42.3016C83.9978 42.1433 84.0577 42.002 84.176 41.8783C84.2943 41.7547 84.4541 41.641 84.6553 41.5365C84.8558 41.4328 85.0855 41.3337 85.3459 41.2392C85.6055 41.1455 85.8767 41.0511 86.1586 40.9573C86.2623 40.7745 86.3683 40.5702 86.4758 40.3451C86.5833 40.1201 86.6855 39.8712 86.7823 39.5993C86.5449 39.8566 86.2907 40.0778 86.0195 40.2637C85.7484 40.4496 85.4603 40.5418 85.1561 40.5418C85.0148 40.5418 84.8758 40.521 84.7383 40.4788C84.6008 40.4365 84.4879 40.3713 84.3988 40.2822C84.3097 40.193 84.2651 40.0794 84.2651 39.9403C84.2651 39.8021 84.3004 39.6408 84.3711 39.4579C84.4418 39.2751 84.5286 39.0969 84.633 38.9233C84.7367 38.7505 84.8443 38.6068 84.9564 38.4924C85.0686 38.3779 85.1646 38.3219 85.246 38.3219C85.276 38.3219 85.3297 38.3295 85.4073 38.3441C85.4857 38.3587 85.5594 38.3802 85.6301 38.4071C85.7008 38.4348 85.7361 38.4632 85.7361 38.4924C85.6693 38.5569 85.5948 38.6483 85.5133 38.7674C85.4311 38.8864 85.352 39.0186 85.2737 39.1645C85.1961 39.3105 85.1308 39.4526 85.0786 39.5916C85.0263 39.7299 85.001 39.8489 85.001 39.948C85.001 40.0371 85.0302 40.1085 85.0901 40.1631C85.1492 40.2176 85.2537 40.2445 85.4019 40.2445C85.5425 40.2445 85.7008 40.1992 85.8751 40.107C86.0495 40.0156 86.2238 39.8981 86.399 39.7544C86.5733 39.6108 86.7347 39.4572 86.8837 39.2943C86.906 39.2398 86.9259 39.1845 86.9451 39.1276C86.9636 39.0708 86.9805 39.0124 86.9951 38.9533C87.0173 38.8841 87.0711 38.8035 87.1564 38.7121C87.2416 38.6207 87.3776 38.5746 87.5627 38.5746C87.5996 38.5746 87.6365 38.5761 87.6741 38.5784C87.711 38.5807 87.7517 38.5869 87.7962 38.5969C87.7962 38.676 87.7609 38.8235 87.6902 39.0385C87.6196 39.2536 87.5189 39.5056 87.3891 39.7921C87.2593 40.0794 87.1049 40.3736 86.9267 40.6754C87.2754 40.5863 87.6173 40.4388 87.9514 40.2338C88.2855 40.0287 88.5567 39.7544 88.7641 39.4134L88.9085 39.4879C88.7971 39.7253 88.6281 39.9319 88.4015 40.1078C88.1749 40.2837 87.9207 40.4342 87.6388 40.561C87.3568 40.687 87.078 40.7922 86.803 40.8767C86.6102 41.1932 86.4005 41.4904 86.1739 41.7677C85.9473 42.045 85.71 42.2693 85.4611 42.4398C85.2138 42.6096 84.9595 42.6949 84.6999 42.6949ZM84.6438 42.4567C84.7552 42.4567 84.9426 42.3592 85.2061 42.1633C85.4695 41.9674 85.7499 41.6248 86.0472 41.1348C85.743 41.2439 85.4603 41.3514 85.2007 41.4582C84.9411 41.5642 84.7329 41.6794 84.577 41.8038C84.421 41.9275 84.3435 42.0711 84.3435 42.2347C84.3435 42.2747 84.3657 42.3215 84.4103 42.3761C84.4548 42.4299 84.5324 42.4567 84.6438 42.4567Z"
              fill="#3C4242"
            />
            <path
              d="M88.9985 40.69C88.9017 40.69 88.8188 40.6739 88.7481 40.6416C88.6774 40.6094 88.6421 40.5587 88.6421 40.4895C88.6421 40.435 88.6751 40.3843 88.7419 40.3375C88.8088 40.2906 88.8925 40.253 88.9924 40.2261C89.0922 40.1992 89.1905 40.1854 89.2873 40.1854C89.3764 40.1854 89.4471 40.1977 89.4986 40.2222C89.55 40.2468 89.5761 40.2944 89.5761 40.3636C89.5761 40.4135 89.5485 40.4627 89.4924 40.5118C89.4363 40.561 89.3641 40.6032 89.275 40.6378C89.1859 40.6724 89.0953 40.69 88.9985 40.69Z"
              fill="#3C4242"
            />
          </svg>
        </div>
      </Link>

      <div className={s.categories}>
        <ul>
          <li>
            <a href="#">Smartphones</a>
          </li>
          <li>
            <a href="#">Consoles</a>
          </li>
          <li>
            <a href="#">Computers</a>
          </li>
        </ul>
      </div>
      <div className={s.searchbar}>
        <div>
          <svg
            width="20"
            height="20"
            viewBox="0 0 20 20"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              d="M16.6363 17.697C16.9292 17.9899 17.4041 17.9899 17.697 17.697C17.9899 17.4041 17.9899 16.9292 17.697 16.6363L16.6363 17.697ZM13.9167 8.83334C13.9167 11.6408 11.6408 13.9167 8.83334 13.9167V15.4167C12.4692 15.4167 15.4167 12.4692 15.4167 8.83334H13.9167ZM8.83334 13.9167C6.02589 13.9167 3.75 11.6408 3.75 8.83334H2.25C2.25 12.4692 5.19746 15.4167 8.83334 15.4167V13.9167ZM3.75 8.83334C3.75 6.02589 6.02589 3.75 8.83334 3.75V2.25C5.19746 2.25 2.25 5.19746 2.25 8.83334H3.75ZM8.83334 3.75C11.6408 3.75 13.9167 6.02589 13.9167 8.83334H15.4167C15.4167 5.19746 12.4692 2.25 8.83334 2.25V3.75ZM12.4697 13.5303L16.6363 17.697L17.697 16.6363L13.5303 12.4697L12.4697 13.5303Z"
              fill="#807D7E"
            />
          </svg>
        </div>
        <input type="text" placeholder="Search" />
      </div>
      <div className={s.symbols}>
        <NavLink
          to="/favourites"
          className={({ isActive }) => (isActive ? s.active : "")}
        >
          <span>{favouriteProductsNumber}</span>
          <svg
            width="20"
            height="20"
            viewBox="0 0 20 20"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M9.99486 4.93014C8.49535 3.18262 5.99481 2.71255 4.11602 4.31275C2.23723 5.91295 1.97273 8.5884 3.44815 10.481C4.67486 12.0545 8.38733 15.3732 9.60407 16.4474C9.7402 16.5675 9.80827 16.6276 9.88766 16.6512C9.95695 16.6718 10.0328 16.6718 10.1021 16.6512C10.1815 16.6276 10.2495 16.5675 10.3857 16.4474C11.6024 15.3732 15.3149 12.0545 16.5416 10.481C18.017 8.5884 17.7848 5.89611 15.8737 4.31275C13.9626 2.72938 11.4944 3.18262 9.99486 4.93014Z"
              stroke="#807D7E"
              strokeWidth="1.5"
              strokeLinecap="round"
              strokeLinejoin="round"
            />
          </svg>
        </NavLink>

        <NavLink
          to="/cart"
          className={({ isActive }) => (isActive ? s.active : "")}
        >
          <span>{addedToCardNumber}</span>
          <svg
            width="20"
            height="20"
            viewBox="0 0 20 20"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              d="M2.5 3.33334H3.00526C3.85578 3.33334 4.56986 3.97376 4.6621 4.81926L5.3379 11.0141C5.43014 11.8596 6.14422 12.5 6.99474 12.5H14.205C14.9669 12.5 15.6317 11.9834 15.82 11.2452L16.9699 6.73593C17.2387 5.68213 16.4425 4.65742 15.355 4.65742H5.5M5.52063 15.5208H6.14563M5.52063 16.1458H6.14563M14.6873 15.5208H15.3123M14.6873 16.1458H15.3123M6.66667 15.8333C6.66667 16.2936 6.29357 16.6667 5.83333 16.6667C5.3731 16.6667 5 16.2936 5 15.8333C5 15.3731 5.3731 15 5.83333 15C6.29357 15 6.66667 15.3731 6.66667 15.8333ZM15.8333 15.8333C15.8333 16.2936 15.4602 16.6667 15 16.6667C14.5398 16.6667 14.1667 16.2936 14.1667 15.8333C14.1667 15.3731 14.5398 15 15 15C15.4602 15 15.8333 15.3731 15.8333 15.8333Z"
              stroke="#807D7E"
              strokeWidth="1.5"
              strokeLinecap="round"
            />
          </svg>
        </NavLink>
      </div>
    </header>
  );
}

Header.propTypes = {
  favouriteProductsNumber: PropTypes.number,
  addedToCardNumber: PropTypes.number,
};

export default Header;
